<?php
/* Copyright (C) 2017  Laurent Destailleur  <eldy@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Need to have following variables defined:
 * $object (invoice, order, ...)
 * $action
 * $conf
 * $langs
 *
 * $keyforbreak may be defined to key to switch on second column
 */

// Protection to avoid direct call of template
if (empty ($conf) || !is_object($conf)) {
	print "Error, template page can't be called as URL";
	exit;
}
if (!is_object($form)) {
	$form = new Form($db);
}

?>
<!-- BEGIN PHP TEMPLATE commonfields_view.tpl.php -->
<?php

$object->fields = dol_sort_array($object->fields, 'position');

foreach ($object->fields as $key => $val) {
	if (!empty ($keyforbreak) && $key == $keyforbreak) {
		break; // key used for break on second column
	}

	// Discard if extrafield is a hidden field on form
	if (abs($val['visible']) != 1 && abs($val['visible']) != 3 && abs($val['visible']) != 4 && abs($val['visible']) != 5) {
		continue;
	}

	if (array_key_exists('enabled', $val) && isset ($val['enabled']) && !verifCond($val['enabled'])) {
		continue; // We don't want this field
	}
	if (in_array($key, array('ref', 'status'))) {
		continue; // Ref and status are already in dol_banner
	}

	$value = $object->$key;

	print '<tr class="field_' . $key . '"><td';
	print ' class="' . (empty ($val['tdcss']) ? 'titlefield' : $val['tdcss']) . ' fieldname_' . $key;
	//if ($val['notnull'] > 0) print ' fieldrequired';     // No fieldrequired on the view output
	if ($val['type'] == 'text' || $val['type'] == 'html') {
		print ' tdtop';
	}
	print '">';
	if (!empty ($val['help'])) {
		print $form->textwithpicto($langs->trans($val['label']), $langs->trans($val['help']));
	} else {
		if (isset ($val['copytoclipboard']) && $val['copytoclipboard'] == 1) {
			print showValueWithClipboardCPButton($value, 0, $langs->transnoentitiesnoconv($val['label']));
		} else {
			print $langs->trans($val['label']);
		}
	}
	print '</td>';
	print '<td class="valuefield fieldname_' . $key;
	if ($val['type'] == 'text') {
		print ' wordbreak';
	}
	if (!empty ($val['cssview'])) {
		print ' ' . $val['cssview'];
	}
	print '">';
	if (in_array($val['type'], array('text', 'html'))) {
		print '<div class="longmessagecut">';
	}
	if ($key == 'lang') {
		$langs->load("languages");
		$labellang = ($value ? $langs->trans('Language_' . $value) : '');
		print picto_from_langcode($value, 'class="paddingrightonly saturatemedium opacitylow"');
		print $labellang;
	} elseif ($key == 'user_id') {
		$sql = "SELECT * FROM " . MAIN_DB_PREFIX . "user WHERE rowid = {$value}";
		$userData = $db->query($sql);
		while ($row = $db->fetch_object($userData)) {
			$userObj = $row;
		}
		print $userObj->firstname . ' ' . $userObj->lastname;
		$user_id = $value;
		//print $object->showOutputField($val, $key, $value, '', '', '', 0);
	} elseif ($key == 'delivery_pdf') {
		print '<a href="/document.php?modulepart=settlements&file=pdf/' . basename($value) . '&entity=1" target="_blank" style="">' . $langs->trans('Print') . '</a>';
	} elseif ($key == 'income_pdf') {
		if (isset ($value))
			print '<a href="/document.php?modulepart=settlements&file=pdf/' . basename($value) . '&entity=1" target="_blank" style="">' . $langs->trans('Print') . '</a>';
	} else {
		if (isset ($val['copytoclipboard']) && $val['copytoclipboard'] == 2) {
			$out = $object->showOutputField($val, $key, $value, '', '', '', 0);
			print showValueWithClipboardCPButton($out, 0, $out);
		} else {
			print $object->showOutputField($val, $key, $value, '', '', '', 0);
		}
	}
	//print dol_escape_htmltag($object->$key, 1, 1);
	if (in_array($val['type'], array('text', 'html'))) {
		print '</div>';
	}
	print '</td>';
	print '</tr>';
}

print '</table>';
print '<table style="width:100%;">';
$packageClosed = $helper->packageClosed($id);
if ($packageClosed) {
	$JSON = json_decode($helper->getJSON($id, 'dailyclosing_json'));
	print '<div id="DCuserData" style="width: 100%, height:100%">';
	print '<table style="width:100%;">';
	include DOL_DOCUMENT_ROOT . '/custom/settlements/core/tpl/dailyclosing_json.tpl.php';

} else {
	$JSON = json_decode($helper->getJSON($id, 'delivery_json'));
	include DOL_DOCUMENT_ROOT . '/custom/settlements/core/tpl/delivery_json.tpl.php';
}

print '</table>';
if (!$object->status) {
	print '<a class="closeButton" href="/custom/settlements/dailyclosing_card.php?id=' . $id . '&user_id=' . $user_id . '&idmenu=1496&mainmenu=settlements&leftmenu="> Close the record! </a>';
}
// We close div and reopen for second column
print '</div>';



?>
<style>
	.cursorNotAllowed {
		cursor: not-allowed;
	}

	.inputfieldclass {
		width: 300px;
	}

	.devicelist {
		display: block;
		height: 30px;
		padding-top: 10px;
		width: 100%;
		background-color: darkgrey;
		border-radius: 10px 10px 0px 0px;
		color: white;
	}

	.closeButton {
		display: block;
		height: 30px;
		width: 100%;
		background-color: red;
		text-align: center;
		padding-top: 10px;
		color: white !important;
		border-radius: 5px;
	}
</style>
<!-- END PHP TEMPLATE commonfields_view.tpl.php -->